package com.liquidnet.service.consumer.base.receiver.candy;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import org.springframework.stereotype.Component;

@Component
public class ConsumerCandyCouponReceiveRdsReceiver extends AbstractSqlRedisReceiver {
    @Override
    protected String getRedisStreamKey() {
        return MQConst.CandyQueue.COUPON_RECEIVE.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.CandyQueue.COUPON_RECEIVE.getGroup();
    }
}
